/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
/**
 *  lment composant un document TMX.
 *  
 *  <p><strong>portion xml</strong></p>
 *  <pre>
 *  &lt;tu <em>tuid="0001"</em>&gt;
 *  	&lt;tuv&gt;
 *  		&lt;seg&gt;
 *  			<em>Olive</em>
 *  		&lt;/seg&gt;
 *  	&lt;/tuv&gt;
 *  &lt;/tu&gt;
 *  </pre>
 *  <p>reprsentation en Java : </p>
 *  <pre>
 *  Bloc a = new Bloc("Olive","0001");
 *  </pre>
 */
public class Bloc {
	/**
	 *  Id du bloc
	 */
	private String id;
	/**
	 *  Corps du bloc
	 */
	private String body;
	/**
	 *  @param	id	valeur du tuid
	 *  @param	body	contenu du bloc
	 */
	public Bloc(String body,String id) {
		this.id = id;
		this.body = body;
	}
	/**
	 * Constructeur de copie 
	 *
	 * @param	copy	bloc de copie
	 */
	public Bloc(Bloc copy)
	{
		id = copy.id;
		body = copy.body;
	}
	/**
	 * Retourne l'id du Bloc
	 *
	 *  @return	valeur du tuid du bloc
	 */
	public String getId() {
		return id;
	}
	/**
	 * Retourne le corps du bloc
	 *
	 *  @return	valeur du corps du bloc
	 */
	public String getBody() {
		return body;
	}
	/**
	 *	Valeur textuelle "id : body"
	 *
	 *	@return	contenu textuel du bloc
	 */
	public String toString()
	{
		return getId() + " : " + getBody();
	}
}
