/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import java.util.ArrayList;

/**
 * Liste de Blocs, fonctionne comme une ArrayList mais avec l'avantage de n'accepter que les Blocs.
 */
public class BlocList {
	/**
	 * Liste de blocs
	 */
	private ArrayList list;
	/**
	* Constructeur de base.
	*/
	public BlocList()
	{
		list = new ArrayList();
	}
	/**
	 * Constructeur de copie
	 *
	 * @param	copy	Liste de Blocs  copier
	 */
	public BlocList(BlocList copy)
	{
		this();
		for(int i=0;i<copy.size();i++)
		{
			list.add(new Bloc(copy.get(i)));
		}
	}
	/**
	 *  Ajoute un lment Bloc  la liste.
	 *  
	 *  @param	body	corps du Bloc
	 *  @param	id	id du Bloc
	 */
	public void add(String body, String id) {
		list.add(new Bloc(body,id));
	}
	/**
	 *  Ajoute un lment Bloc  la liste. <code>id</code> est mis  la valeur de la taille actuelle de la liste.
	 *  
	 *  @param	body	corps du Bloc
	 */
	public void add(String body) {
		list.add(new Bloc(body,""+(list.size()+1)));
	}
	/**
	 *  Retourne un bloc selon sa position
	 *  
	 *  @param	index	position du Bloc dans la liste
	 */
	public Bloc get(int index) {
		return (Bloc)list.get(index);
	}
	/**
	 *  Retourne un bloc selon son id.
	 *  
	 *  @param	id	id du Bloc recherch
	 */
	public Bloc get(String id) {
		for(int i=0;i<list.size();i++)
		{
			if(((Bloc)list.get(i)).getId() == id)
			{
				return (Bloc)list.get(i);
			}
		}
		return null;
	}
	/**
	 * Retourne la taille de la liste.
	 *
	 *	@return	taille de la liste courante
	 */
	public int size(){
		return list.size();
	}
}
