/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
/**
 * Document de Bloc composant un fichier TMX.
 * Un document est associ  une langue.
 */
public class DocumentLang {
	/// langue du document
	private String lang;
	/**
	 *  Liste de Bloc's composant le document.
	 */
	private BlocList contenu;
	/**
	 * Constructeur de document vide
	 *
	 *  @param	lang	spcifie la langue du document cr
	 */
	public DocumentLang(String lang)
	{
		this.lang = lang;
		this.contenu = new BlocList();
	}
	/**
	 *	constructeur de copie
	 *
	 *  @param	copy	document source
	 */
	public DocumentLang(DocumentLang copy)
	{
		this.lang = copy.lang;
		this.contenu = new BlocList(copy.contenu);
	}
	/**
	 * Retourne la langue.
	 *
	 *  @return	la langue du document courant
	 */
	public String getLang()
	{
		return lang;
	}
	/**
	 * Ajoute  la suite un lment au document
	 *
	 *  @param	body	corps de l'lment ajout
	 *  @param	id	id de l'lment ajout
	 */
	public void add(String body, String id)
	{
		contenu.add(body,id);
	}
	/**
	 * Ajoute  la suite un lment, (<code>id</code> sera la taille actuelle du document)
	 *
	 *  @param	body	corps de l'lment ajout
	 */
	public void add(String body)
	{
		contenu.add(body);
	}
	/**
	 *	Retourne un bloc selon sa position
	 *
	 *	@param	id	position du Bloc dans la liste
	 */
	public Bloc get(int id)
	{
		return contenu.get(id);
	}
	/**
	 *	Retourne un bloc selon son id.
	 *
	 *	@param	id	id du Bloc recherch
	 */
	public Bloc get(String id)
	{
		return contenu.get(id);
	}
	/**
	 * Retourne la taille du document
	 *
	 *	@return	taille du document
	 */
	public int size()
	{
		return contenu.size();
	}
}
