/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import java.awt.event.*;

/**
 * Permet d'ouvrir un fichier depuis le disque dur.
 */
public class ExplorateurDeFichier implements ActionListener
{
	/** lment parent */
	private TmxManager parent;
	
	/**
	 * @param parent	lment grant les fichiers TMX
	 */
	public ExplorateurDeFichier (TmxManager parent)
	{
		this.parent = parent;
	}
	
	/**
	 * Ouvre un boite de dialogue permettant de choisir un fichier sur le disque.
	 *
	 * @param e	vnement action.
	 * @see TmxManager#ouvrir(java.lang.String)
	 */
	public void actionPerformed(ActionEvent e)
	{
		JFileChooser chooser = new JFileChooser();

		int returnVal = chooser.showOpenDialog(parent.getMainJFrame());
		
		if(returnVal == JFileChooser.APPROVE_OPTION)
		{
			parent.ouvrir(chooser.getSelectedFile().getAbsolutePath());
		}
	}
}