/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import java.awt.event.*;

/**
 * couteur destin au programme principal et au(x) bouton(s) de fermeture du programme.
 * La mthode de fermeture est action().
 */
public class FermetureEcouteur extends WindowAdapter implements ActionListener
{
	/**
	 * Action de fermeture pour une fentre
	 *
	 * @param e vnement fentre
	 */
	public void windowClosing(WindowEvent e)
	{
		close();
	}
	
	/**
	 * Action de fermeture pour un bouton
	 *
	 * @param e vnement de bouton
	 */
	public void actionPerformed(ActionEvent e)
	{
		close();
	}
	
	/**
	 * Chane d'action(s)  faire avant de quitter
	 */
	public void action()
	{
		// rien
	}
	
	/**
	 * xecution du l'action et fermeture "brutale"
	 */
	private void close()
	{
		action();
		System.exit(0);
	}
}