/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.event.*;

/**
 * couteur de liens permettant d'aligner les blocs
 */
public class LinkEcouteur implements HyperlinkListener
{
	/// toutes les zones  aligner
	private TmxDisplay[] zones;
	
	/**
	 * Lie les zones entre elles.
	 *
	 * @param	zones	tableau des zones de textes  aligner
	 */
	public LinkEcouteur(TmxDisplay[] zones)
	{
		this.zones = zones;
	}
	
	/**
	 * Traite le clique sur un lien
	 *
	 * @param e	vnement de clique sur un lien
	 */
	public void hyperlinkUpdate(HyperlinkEvent e)
	{
		if(e.getEventType().toString().equals("ACTIVATED"))
		{
			for(int i=0;i<zones.length;i++)
			{
				zones[i].scrollToReference(e.getURL().toString().substring(7));
			}
		}
	}
}