/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class MainJFrame extends JFrame implements Centrable{
	/**
	 *  Construit une nouvelle fentre.
	 *  
	 *  @param	title	titre initial de la fentre
	 */
	public MainJFrame(String title) {
		setTitle(title);
		setLocation(10,10);
		
		// set the icon (32x32)
		setIconImage(Toolkit.getDefaultToolkit().getImage("../img/tmxv.gif"));
		
		// Exit
		addWindowListener(new FermetureEcouteur());
	}
	
	/**
	 *  Centre la fentre au milieu de l'cran.
	 *
	 * @see Centrable#centrer()
	 */
	public void centrer() {
		Dimension ecran = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation((ecran.width - getSize().width)/2,(ecran.height - getSize().height)/2);
	}
}
