/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import java.awt.event.*;

/**
 * couteur affichant dans une boite de dialogue les informations du fichier TMX courant
 */
public class MenuInfoEcouteur extends MenuEcouteur
{
	private TmxManager parent;
	private TmxTabbed tabs;
	
	/**
	 * Construit un couteur affichant une boite de dialogue
	 *
	 * @param	main	JFrame principale
	 * @param title	Titre de la boite de dialogue
	 * @param parent Gestionnaire de fichier TMX
	 * @param tabs	Onglets
	 * @param width	largeur de la boite de dialogue
	 * @param height	hauteur de la boite de dialogue
	 */
	public MenuInfoEcouteur(JFrame main, String title, TmxManager parent, TmxTabbed tabs, int width, int height)
	{
		super(main, title, width, height);
		this.parent = parent;
		this.tabs = tabs;
	}

	
	/**
	 * Affiche la boite de dialogue avec l'information de l'onglet actif.
	 *
	 * @param	e	vnement action.
	 */
	public void actionPerformed(ActionEvent e)
	{
		if(tabs.getTabRunCount()>0)
		{
			showInfo(parent.getTabInfo(tabs.getSelectedIndex()));
		}
	}
}