/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import javax.swing.text.html.*;

public class TmxDisplay extends JTextPane{
	/**
	 *  Document affich par le JTextPane
	 */
	private DocumentLang doc;
	private HTMLDocument htmldoc;
	/**
	 *  @param	doc	Document  afficher.
	 */
	public TmxDisplay(DocumentLang doc) {
		// copie superficielle
		this.doc = doc;
		
		setContentType("text/html");
		setEditable(false);
		
		displayDocument();
	}
	
	/**
	 * Permet de redfinir le document affich
	 *
	 * @param doc Document  dfinir
	 */
	public void setDocument(DocumentLang doc)
	{
		this.doc = doc;
		displayDocument();
	}
	
	/**
	 * Affiche le contenu du document dans la zone de texte.
	 */
	private void displayDocument()
	{
		String data = "<html><head><style type='text/css'>";
		data += "\nbody{background-color:#ffffff;font-size:1.1em;font-family:sans-serif;}";
		data += "\na{text-decoration:none;border-bottom:1px;font-weight:bold;color:#666666;font-size:0.8em;}";
		data += "\nh1{text-align:right;font-size:2.3em;color:#eeeeee}";
		data += "\nh1 a{color:#eeeeee;}";
		data += "\n</style></head><body>";
		data += "\n<h1><a name=top></a>"+doc.getLang()+"</h1>";
		data += "\n<dl>";
		for(int i=0; i<doc.size();i++)
		{
			data += "\n<dt> <a name="+i+" href=http://"+i+">"+doc.get(i).getId()+" :</a></dt><dd>"+doc.get(i).getBody()+"</dd>";
		}
		data += "\n</dl>";
		
		data += "<p></p><p></p><p></p>";
		data +="<p><center><a href=http://top>top</a></center></p>";
		
				// cration d'espaces (c'est mal)
		for(int i=0;i<10;i++){data += "<p></p>";}
		
		data += "</body></html>";
		
		setText(data);
	}
}
