/*
TmxViewer is a TMX file reader
Copyright (C) 2004 Yoan BLANC <Yoan.Blanc@eiaj.ch>, EIAJ www.eiaj.ch

This program is free software; you can redistribute it and/or modify it under the terms of
the GNU General Public License as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program;
if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA
*/
import javax.swing.*;
import java.awt.*;
import java.awt.image.*;

/**
 * Gestionnaire d'onglet affichant une image.
 */
public class TmxTabbed extends JTabbedPane
{
	private Image image;
	
	/**
	 * Contruit notre gestionnaire d'onglet avec fond blanc et image
	 */
	public TmxTabbed()
	{
		image = new ImageIcon("../img/tmxv_logo.jpg").getImage();
		setVisible(true);
		setBackground(Color.white);
	}
	
	/**
	 * Redessine l'lment avec une image en fond centr
	 *
	 * @param g contexte graphique
	 */
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D) g;
		Dimension d = getSize();
		int x = (int)((d.getWidth()-image.getWidth(this))/2);
		int y = (int)((d.getHeight()-image.getHeight(this))/2);
		g2.drawImage(image,Math.max(5,x),Math.max(25,y),null);
	}
}